{pkgs, ...}: {
  stylix.enable = true;
  # stylix.image = ./nixos-wallpaper.png;
  stylix.autoEnable = true;

  home.packages = [pkgs.dejavu_fonts];

  stylix.fonts = {
    serif = {
      package = pkgs.iosevka-comfy.comfy;
      name = "FreeSerif";
    };

    sansSerif = {
      package = pkgs.ubuntu-sans;
      name = "Ubuntu Sans";
    };

    monospace = {
      # package = (pkgs.nerdfonts.override {
      #   fonts =
      #     [
      #       "Mononoki"
      #     ];
      # });
      package = pkgs.nerd-fonts.jetbrains-mono;
      name = "JetBrainsMono Nerd Font";
    };

    emoji = {
      package = pkgs.noto-fonts-emoji;
      name = "Noto Color Emoji";
    };
  };
}
