{
  pkgs,
  config,
  lib,
  ...
}: {
  programs.mangohud = {
    enable = true;
    settings = {
      font_scale = lib.mkForce 1.0;
      font_size = lib.mkForce 24;
      font_size_text = lib.mkForce 24;
      background_alpha = lib.mkForce 0.65;
      alpha = lib.mkForce 1.0;
      round_corners = lib.mkForce 4;
      gpu_name = true;

      battery = true;
      device_battery = ["gamepad" "mouse"];
      battery_watt = true;
      battery_time = true;
    };
  };
}
